package com.unibuy.smartdevice.structure;

public class DevSetStructure {
    private boolean isVMC;
    private boolean isElectic;
    private boolean isShoppingCar;
    private boolean isInvoice;
    private boolean isDevNFCPay;
    private boolean isDevEsunPay;
    private boolean isDevTapPay;
    private boolean isDevCash;
    private boolean isDevLinePay;
    private boolean isTapPay30;
    private boolean isTapPay31;
    private boolean isTapPay32;
    private boolean isTapPay33;
    private boolean isTapPay34;

    public DevSetStructure(boolean isVMC, boolean isElectic, boolean isShoppingCar, boolean isInvoice,
                           boolean isDevNFCPay, boolean isDevEsunPay, boolean isDevTapPay, boolean isDevCash, boolean isDevLinePay,
                           boolean isTapPay30,boolean isTapPay31,boolean isTapPay32,boolean isTapPay33, boolean isTapPay34) {
        this.isVMC = isVMC;
        this.isElectic = isElectic;
        this.isShoppingCar = isShoppingCar;
        this.isInvoice = isInvoice;
        this.isDevNFCPay = isDevNFCPay;
        this.isDevEsunPay = isDevEsunPay;
        this.isDevTapPay = isDevTapPay;
        this.isDevCash = isDevCash;
        this.isDevLinePay = isDevLinePay;
        this.isTapPay30 = isTapPay30;
        this.isTapPay31 = isTapPay31;
        this.isTapPay32 = isTapPay32;
        this.isTapPay33 = isTapPay33;
        this.isTapPay34 = isTapPay34;
    }

    public boolean isVMC() {
        return isVMC;
    }

    public boolean isElectic() {
        return isElectic;
    }

    public boolean isShoppingCar() {
        return isShoppingCar;
    }

    public boolean isInvoice() {
        return isInvoice;
    }

    public boolean isDevNFCPay() {
        return isDevNFCPay;
    }

    public boolean isDevEsunPay() {
        return isDevEsunPay;
    }

    public boolean isDevTapPay() { return isDevTapPay; }

    public boolean isDevCash() {
        return isDevCash;
    }

    public boolean isDevLinePay() {
        return isDevLinePay;
    }
    public boolean isTapPay30() {
        return isTapPay30;
    }
    public boolean isTapPay31() {
        return isTapPay31;
    }
    public boolean isTapPay32() {
        return isTapPay32;
    }
    public boolean isTapPay33() {
        return isTapPay33;
    }
    public boolean isTapPay34() {
        return isTapPay34;
    }

    public void setVMC(boolean VMC) {
        isVMC = VMC;
    }

    public void setElectic(boolean electic) {
        isElectic = electic;
    }

    public void setShoppingCar(boolean shoppingCar) {
        isShoppingCar = shoppingCar;
    }

    public void setInvoice(boolean invoice) {
        isInvoice = invoice;
    }

    public void setDevNFCPay(boolean devNFCPay) {
        isDevNFCPay = devNFCPay;
    }

    public void setDevEsunPay(boolean devEsunPay) {
        isDevEsunPay = devEsunPay;
    }

    public void setDevTapPay(boolean devTapPay) {
        isDevTapPay = devTapPay;
    }

    public void setDevCash(boolean devCash) {
        isDevCash = devCash;
    }

    public void setDevLinePay(boolean devLinePay) {isDevLinePay = devLinePay;}

    public void setTapPay30(boolean tapPay30) {isTapPay30 = tapPay30;}
    public void setTapPay31(boolean tapPay31) {isTapPay31 = tapPay31;}
    public void setTapPay32(boolean tapPay32) {isTapPay32 = tapPay32;}
    public void setTapPay33(boolean tapPay33) {isTapPay33 = tapPay33;}
    public void setTapPay34(boolean tapPay34) {isTapPay34 = tapPay34;}

}
